import json
import requests

API_KEY = ''


def download_forecast(city, app_id):
    url = 'https://api.openweathermap.org/data/2.5/weather?q={}&appid={}'.format(city, app_id)
    content = requests.get(url).text
    data = json.loads(content)
    return data

def kelvin2fahrenheit(temp):
    return int(round(temp * 9/5-459.67))

class Forecast:
    """ Represents a weather forecast 

    attributes: city, description, temperature
    """
    city = ''
    description = ''
    temperature = None

    def __init__(self, city):
        self.city = city
        self.update()

    def update(self):
        # Step 1: download forecast for the right city
        # Step 2: set the self.description attribute
        # Step 3: set the self.temperature attribute
        # this function doesn't return anything
        pass


def main():
    boston = Forecast('Boston')

    # exercise 1
    print(boston.description)

    # exercise 2
    # boston.summarize()



main()